OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESDimen

# IGESDimen_RadiusDimension Class Reference

Defines IGES Radius Dimension, type <222> Form <0, 1>,
in package IGESDimen.
A Radius Dimension Entity consists of a General Note, a
leader, and an arc center point. A second form of this
entity accounts for the occasional need to have two
leader entities referenced.
.

`#include <IGESDimen_RadiusDimension.hxx>`

Inheritance diagram for IGESDimen_RadiusDimension:

[legend]

## Public Member Functions
Standard_EXPORT | IGESDimen_RadiusDimension ()
Standard_EXPORT void | Init (const Handle(IGESDimen_GeneralNote)&aNote, const Handle(IGESDimen_LeaderArrow)&anArrow, const gp_XY &arcCenter, const Handle(IGESDimen_LeaderArrow)&anotherArrow)
Standard_EXPORT void | InitForm (const Standard_Integer form)
| Allows to change Form Number (1 admits null arrow) .
Standard_EXPORT Handle_IGESDimen_GeneralNote | Note () const
| returns the General Note entity
Standard_EXPORT Handle_IGESDimen_LeaderArrow | Leader () const
| returns the Leader Arrow entity
Standard_EXPORT gp_Pnt2d | Center () const
| returns the coordinates of the Arc Center
Standard_EXPORT gp_Pnt | TransformedCenter () const
| returns the coordinates of the Arc Center after Transformation (Z coord taken from ZDepth of Leader Entity)
Standard_EXPORT Standard_Boolean | HasLeader2 () const
| returns True if form is 1, False if 0
Standard_EXPORT Handle_IGESDimen_LeaderArrow | Leader2 () const
| returns Null handle if Form is 0
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_IGESDimen_GeneralNote | theNote
Handle_IGESDimen_LeaderArrow | theLeaderArrow
gp_XY | theCenter
Handle_IGESDimen_LeaderArrow | theLeader2

## Constructor & Destructor Documentation

Standard_EXPORT IGESDimen_RadiusDimension::IGESDimen_RadiusDimension | ( |  | ) |

## Member Function Documentation

Standard_EXPORT gp_Pnt2d IGESDimen_RadiusDimension::Center | ( |  | ) | const

Standard_EXPORT const IGESDimen_RadiusDimension::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT Standard_Boolean IGESDimen_RadiusDimension::HasLeader2 | ( |  | ) | const

Standard_EXPORT void IGESDimen_RadiusDimension::Init | ( | const Handle(IGESDimen_GeneralNote)& | aNote,
|  | const Handle(IGESDimen_LeaderArrow)& | anArrow,
|  | const gp_XY & | arcCenter,
|  | const Handle(IGESDimen_LeaderArrow)& | anotherArrow
| ) |

Standard_EXPORT void IGESDimen_RadiusDimension::InitForm | ( | const Standard_Integer | form | ) |

Standard_EXPORT Handle_IGESDimen_LeaderArrow IGESDimen_RadiusDimension::Leader | ( |  | ) | const

Standard_EXPORT Handle_IGESDimen_LeaderArrow IGESDimen_RadiusDimension::Leader2 | ( |  | ) | const

Standard_EXPORT Handle_IGESDimen_GeneralNote IGESDimen_RadiusDimension::Note | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESDimen_RadiusDimension::TransformedCenter | ( |  | ) | const

## Field Documentation

gp_XY IGESDimen_RadiusDimension::theCenter`[private]`

Handle_IGESDimen_LeaderArrow IGESDimen_RadiusDimension::theLeader2`[private]`

Handle_IGESDimen_LeaderArrow IGESDimen_RadiusDimension::theLeaderArrow`[private]`

Handle_IGESDimen_GeneralNote IGESDimen_RadiusDimension::theNote`[private]`

The documentation for this class was generated from the following file:

- IGESDimen_RadiusDimension.hxx